Spaces
Update a space. Honours Idempotency-Key. (scope: spaces:write)
PATCH
bearerAuthheader
AuthorizationBearer <token>API key as Bearer token
id*stringSpace id
Format
uuidapplication/json- body
name?stringLength
1 <= length <= 120slug?stringMatch
^[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?$Length
length <= 63description?|Length
length <= 2000OK
application/json- response
data*A grouping of domains, sites and apps of one project. It owns nothing: deleting it releases its members.
error*nullcurl -X PATCH "https://example.com/spaces/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string", "description": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "error": null}